---
dast_site_profiles_pipelines:
  - table: ci_pipelines
    column: ci_pipeline_id
    on_delete: async_delete
vulnerability_feedback:
  - table: ci_pipelines
    column: pipeline_id
    on_delete: async_nullify
ci_pipeline_chat_data:
  - table: chat_names
    column: chat_name_id
    on_delete: async_delete
dast_scanner_profiles_builds:
  - table: ci_builds
    column: ci_build_id
    on_delete: async_delete
dast_site_profiles_builds:
  - table: ci_builds
    column: ci_build_id
    on_delete: async_delete
dast_profiles_pipelines:
  - table: ci_pipelines
    column: ci_pipeline_id
    on_delete: async_delete
clusters_applications_runners:
  - table: ci_runners
    column: runner_id
    on_delete: async_nullify
ci_job_token_project_scope_links:
  - table: users
    column: added_by_id
    on_delete: async_nullify
ci_daily_build_group_report_results:
  - table: namespaces
    column: group_id
    on_delete: async_delete
  - table: projects
    column: project_id
    on_delete: async_delete
ci_freeze_periods:
  - table: projects
    column: project_id
    on_delete: async_delete
ci_pending_builds:
  - table: namespaces
    column: namespace_id
    on_delete: async_delete
  - table: projects
    column: project_id
    on_delete: async_delete
ci_resource_groups:
  - table: projects
    column: project_id
    on_delete: async_delete
ci_runner_namespaces:
  - table: namespaces
    column: namespace_id
    on_delete: async_delete
ci_namespace_mirrors:
  - table: namespaces
    column: namespace_id
    on_delete: async_delete
ci_build_report_results:
  - table: projects
    column: project_id
    on_delete: async_delete
ci_builds:
  - table: users
    column: user_id
    on_delete: async_nullify
ci_pipelines:
  - table: merge_requests
    column: merge_request_id
    on_delete: async_delete
  - table: external_pull_requests
    column: external_pull_request_id
    on_delete: async_nullify
  - table: users
    column: user_id
    on_delete: async_nullify
ci_project_mirrors:
  - table: projects
    column: project_id
    on_delete: async_delete
  - table: namespaces
    column: namespace_id
    on_delete: async_delete
ci_unit_tests:
  - table: projects
    column: project_id
    on_delete: async_delete
merge_requests:
  - table: ci_pipelines
    column: head_pipeline_id
    on_delete: async_nullify
vulnerability_statistics:
  - table: ci_pipelines
    column: latest_pipeline_id
    on_delete: async_nullify
vulnerability_occurrence_pipelines:
  - table: ci_pipelines
    column: pipeline_id
    on_delete: async_delete
packages_build_infos:
  - table: ci_pipelines
    column: pipeline_id
    on_delete: async_nullify
packages_package_file_build_infos:
  - table: ci_pipelines
    column: pipeline_id
    on_delete: async_nullify
pages_deployments:
  - table: ci_builds
    column: ci_build_id
    on_delete: async_nullify
terraform_state_versions:
  - table: ci_builds
    column: ci_build_id
    on_delete: async_nullify
merge_request_metrics:
  - table: ci_pipelines
    column: pipeline_id
    on_delete: async_delete
project_pages_metadata:
  - table: ci_job_artifacts
    column: artifacts_archive_id
    on_delete: async_nullify
ci_pipeline_schedules:
  - table: users
    column: owner_id
    on_delete: async_nullify
ci_group_variables:
  - table: namespaces
    column: group_id
    on_delete: async_delete
ci_minutes_additional_packs:
  - table: namespaces
    column: namespace_id
    on_delete: async_delete
requirements_management_test_reports:
  - table: ci_builds
    column: build_id
    on_delete: async_nullify
security_scans:
  - table: ci_builds
    column: build_id
    on_delete: async_delete
ci_secure_files:
  - table: projects
    column: project_id
    on_delete: async_delete
